<div class="page-layout carded fullwidth" fusePerfectScrollbar>

  <!-- TOP BACKGROUND -->
  <div class="top-bg {{secondColorBrand}}">

  </div>
  <!-- / TOP BACKGROUND -->

  <!-- CENTER -->
  <div class="center">

    <!-- HEADER -->
    <div class="header white-fg" fxLayout="row" fxLayoutAlign="space-between center">

      <!-- APP TITLE -->
      <div fxLayout="row" fxLayoutAlign="start center">

            <button class="mr-16" mat-icon-button [routerLink]="'/devices'">
                <mat-icon>arrow_back</mat-icon>
              </button>

            <div class="logo my-12 m-sm-0"
            fxLayout="row" fxLayoutAlign="start center">
           <mat-icon class="logo-icon mr-16">gps_fixed</mat-icon>
           <span class="logo-text h1" >Novo Rastreador</span>
       </div>

      </div>

    </div>
    

    <mat-card>

      <mat-card-content>


        <div class="panel">
          <div class="panel-title" [ngClass]="primaryColorBrand">
            <mat-icon class="white-fg">gps_fixed</mat-icon>
            <span class="white-fg">&nbsp;Rastreador</span>
          </div>

          <div class="panel-content">


            <form [formGroup]="deviceForm" (ngSubmit)="createDevice(deviceForm.value)" novalidate>
              <mat-dialog-content>

                <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                  <mat-form-field fxFlex="50">
                    <input type="number" matInput #input maxlength="15" placeholder="IMEI" formControlName="imei" required>
                    <mat-hint position="end">{{input.value?.length || 0}}/15</mat-hint>
                    <mat-error *ngIf="deviceForm.get('imei').hasError('required')">
                      Por favor, informe o IMEI
                    </mat-error>
                    <mat-error *ngIf="deviceForm.get('imei').hasError('maxlength')">
                      O Imei possui 15 caracteres 
                    </mat-error>
                   
                  </mat-form-field>
                  <mat-form-field fxFlex="50">
                      <input type="number" matInput  placeholder="Identificador" formControlName="identifier">
                    </mat-form-field>
                  
                </div>

                <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                  <mat-form-field fxFlex="100">

                    <mat-select placeholder="Modelo" formControlName="model">
                      <mat-option value="">Selecione um modelo</mat-option>
                      <mat-option *ngFor="let device of deviceModelList" [value]="device.key">
                          {{ device.value }}
                      </mat-option>
                    </mat-select>
                    <mat-error *ngIf="deviceForm.get('model').hasError('required')">
                      Por favor, seleciona um modelo
                    </mat-error>

                  </mat-form-field>
                </div>
                <div fxLayout="row" fxLayoutAlign="start left" fxLayoutGap="10px">
                  <mat-checkbox formControlName="hidden">Ocultar para usuário final</mat-checkbox>
                 </div>  
              </mat-dialog-content>
            </form>

          </div>
        </div>


        <br>

        <div class="panel">
          <div class="panel-title" [ngClass]="primaryColorBrand">
            <mat-icon class="white-fg">sim_card</mat-icon>
            <span class="white-fg">&nbsp;Configuração Sim Card</span>
          </div>

          <div class="panel-content">

            <form [formGroup]="deviceForm" (ngSubmit)="createDevice(deviceForm.value)" novalidate>
              <mat-dialog-content>

                <b><span class="title">*Configuração Sim Card Opcional</span></b>
               
                <br><br>

                <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                  <mat-form-field fxFlex="50">
                    <input matInput [textMask]="{mask: phoneMask}" placeholder="Número da linha" formControlName="number">

                  </mat-form-field>

                  <mat-form-field fxFlex="50">
                    <input matInput [textMask]="{mask: simCardMask}" placeholder="Número do SimCard" formControlName="simCard">

                  </mat-form-field>
                </div>



                <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                  <mat-form-field fxFlex="100">
                    <mat-select placeholder="Operadora" formControlName="operator">
                      <mat-option value="">Selecione uma operadora</mat-option>
                      <mat-option value="Claro">Claro</mat-option>
                      <mat-option value="TIM">TIM</mat-option>
                      <mat-option value="Vodafone">Vodafone</mat-option>
                      <mat-option value="Vivo">Vivo</mat-option>
                      <mat-option value="Oi">Oi</mat-option>
                      <mat-option value="Nextel">Nextel</mat-option>
                      <mat-option value="Algar">Algar</mat-option>
                      <mat-option value="Porto">Porto</mat-option>
                    </mat-select>

                  </mat-form-field>
                </div>


              </mat-dialog-content>
            </form>

          </div>
        </div>

        <br>

        <div class="panel">
          <div class="panel-title" [ngClass]="primaryColorBrand">
            <mat-icon class="white-fg">cell_wifi</mat-icon>
            <span class="white-fg">&nbsp;Configuração GPRS</span>
          </div>

          <div class="panel-content">

            <form [formGroup]="activitDeviceForm"  novalidate>
              <mat-dialog-content>


                <b><span class="title">*Configuração GPRS Opcional</span></b>
                
                <br><br>
                <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                  <mat-form-field fxFlex="100">
                    <input matInput placeholder="APN" formControlName="apn" >
                    <mat-error *ngIf="activitDeviceForm.get('apn').hasError('whitespace')">
                      Apn inválida remova os espaços                    
                    </mat-error>  
                  </mat-form-field>
                 
                </div>
                <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                  <mat-form-field fxFlex="50">
                    <input matInput placeholder="Nome de usuário da apn:" formControlName="login">
                  </mat-form-field>
                  <mat-form-field fxFlex="50">
                    <input matInput placeholder="Senha da apn:" formControlName="password">
                  </mat-form-field>
                </div>
                <hr>
              </mat-dialog-content>
             

            </form>
          </div>
        </div>

      </mat-card-content>

      <mat-card-actions>
            <div fxLayout="row" fxLayoutAlign="end end" fxLayoutGap="10px" style="padding-right: 15px;">
                    <button mat-raised-button color="warn" (click)="cancel()">Cancelar</button>
                    <button mat-raised-button [disabled]="deviceForm.invalid || isDisabled"  (click)="createDevice(deviceForm.value)" color="primary">Salvar</button>
            </div>
        </mat-card-actions>
    </mat-card>
    <br>
   
  </div>

  <!-- <div class="dialog-content-wrapper" [hidden]="!isActivite" class="{{primaryColorBrand}}">
        <mat-toolbar matDialogTitle class="{{secondColorBrand}} m-0">
            <mat-toolbar-row fxLayout="row" fxLayoutAlign="space-between center">
                <span class="title dialog-title">Ativando o rastreador, aguarde...</span>
            </mat-toolbar-row>
        </mat-toolbar>
        <br>
     

            <div fxLayoutAlign="start center" fxLayoutGap="10px">
               
             
                <br>
                <img  src="/assets/images/help_animation.gif" data-mode="video" />
            
               
            </div>
               
    
    </div>
</div> -->
